<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Variable_type Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_variable__type.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_variable__type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Variable_type Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="create_phys_to_ecu_conv_8hpp_source.html">createPhysToEcuConv.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4db3c4fb283c01c3bcff6233edd26c41"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a></td></tr>
<tr class="separator:a4db3c4fb283c01c3bcff6233edd26c41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8be7260e81db396e7299c0af539f6717"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#a8be7260e81db396e7299c0af539f6717">ConstVolatile</a></td></tr>
<tr class="separator:a8be7260e81db396e7299c0af539f6717"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9939a09770ca983cc7d05934c00db57"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#ae9939a09770ca983cc7d05934c00db57">Type</a></td></tr>
<tr class="separator:ae9939a09770ca983cc7d05934c00db57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d37778a750acca8472a0044b7e08c92"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#a7d37778a750acca8472a0044b7e08c92">BuiltInType</a></td></tr>
<tr class="separator:a7d37778a750acca8472a0044b7e08c92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc36cc87be3bd26dfedc3d640036af42"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#afc36cc87be3bd26dfedc3d640036af42">Arraysize</a></td></tr>
<tr class="separator:afc36cc87be3bd26dfedc3d640036af42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37bd621d091ce55b5144aa09cd35cb8e"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#a37bd621d091ce55b5144aa09cd35cb8e">CompuRatFuncNumerator</a></td></tr>
<tr class="separator:a37bd621d091ce55b5144aa09cd35cb8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d1fe08d1400e27b3be0477fdc1c2483"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#a1d1fe08d1400e27b3be0477fdc1c2483">CompuRatFuncDenominator</a></td></tr>
<tr class="separator:a1d1fe08d1400e27b3be0477fdc1c2483"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96f43c027abbb73f0072b02b863d7671"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#a96f43c027abbb73f0072b02b863d7671">SWUnit</a></td></tr>
<tr class="separator:a96f43c027abbb73f0072b02b863d7671"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf61adf3d8168e11f8cbe1c37247cc65"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#acf61adf3d8168e11f8cbe1c37247cc65">isPointer</a></td></tr>
<tr class="separator:acf61adf3d8168e11f8cbe1c37247cc65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76acba30d36d5229fed7965e37ae6626"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#a76acba30d36d5229fed7965e37ae6626">PointerIsConst</a></td></tr>
<tr class="separator:a76acba30d36d5229fed7965e37ae6626"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60255db01d0877046da3167ced303ecb"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#a60255db01d0877046da3167ced303ecb">PointeeIsConst</a></td></tr>
<tr class="separator:a60255db01d0877046da3167ced303ecb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58a52481fa764d59ceaa1939453a8102"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html#a58a52481fa764d59ceaa1939453a8102">isLHS</a></td></tr>
<tr class="separator:a58a52481fa764d59ceaa1939453a8102"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afc36cc87be3bd26dfedc3d640036af42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc36cc87be3bd26dfedc3d640036af42">&#9670;&nbsp;</a></span>Arraysize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Variable_type::Arraysize</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7d37778a750acca8472a0044b7e08c92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d37778a750acca8472a0044b7e08c92">&#9670;&nbsp;</a></span>BuiltInType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Variable_type::BuiltInType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d1fe08d1400e27b3be0477fdc1c2483"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d1fe08d1400e27b3be0477fdc1c2483">&#9670;&nbsp;</a></span>CompuRatFuncDenominator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::string &gt; Variable_type::CompuRatFuncDenominator</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a37bd621d091ce55b5144aa09cd35cb8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37bd621d091ce55b5144aa09cd35cb8e">&#9670;&nbsp;</a></span>CompuRatFuncNumerator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::string &gt; Variable_type::CompuRatFuncNumerator</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8be7260e81db396e7299c0af539f6717"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8be7260e81db396e7299c0af539f6717">&#9670;&nbsp;</a></span>ConstVolatile</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Variable_type::ConstVolatile</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a58a52481fa764d59ceaa1939453a8102"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58a52481fa764d59ceaa1939453a8102">&#9670;&nbsp;</a></span>isLHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Variable_type::isLHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acf61adf3d8168e11f8cbe1c37247cc65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf61adf3d8168e11f8cbe1c37247cc65">&#9670;&nbsp;</a></span>isPointer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Variable_type::isPointer</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4db3c4fb283c01c3bcff6233edd26c41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4db3c4fb283c01c3bcff6233edd26c41">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Variable_type::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a60255db01d0877046da3167ced303ecb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60255db01d0877046da3167ced303ecb">&#9670;&nbsp;</a></span>PointeeIsConst</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Variable_type::PointeeIsConst</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a76acba30d36d5229fed7965e37ae6626"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76acba30d36d5229fed7965e37ae6626">&#9670;&nbsp;</a></span>PointerIsConst</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Variable_type::PointerIsConst</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a96f43c027abbb73f0072b02b863d7671"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96f43c027abbb73f0072b02b863d7671">&#9670;&nbsp;</a></span>SWUnit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Variable_type::SWUnit</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9939a09770ca983cc7d05934c00db57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9939a09770ca983cc7d05934c00db57">&#9670;&nbsp;</a></span>Type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Variable_type::Type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_variable__type.html">Variable_type</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
